import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`,
  );

const face = g.append('circle');

face.attr('r', height / 2);
face.attr('fill', 'yellow'); // Chick's face color
face.attr('stroke', 'orange'); // Chick's face border color

const eyeSpacing = 25;
const eyeYOffset = -25;
const eyeRadius = 18;
const beakWidth = 30;
const beakHeight = 20;
const beakYOffset = 25;

const eyesG = g
  .append('g')
  .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', -eyeSpacing)
  .attr('cy', 0)
  .attr('fill', 'black'); // Chick's eye color

const rightEye = eyesG
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', eyeSpacing)
  .attr('cy', 0)
  .attr('fill', 'black'); // Chick's eye color

const beak = g
  .append('polygon')
  .attr(
    'points',
    `0,0 ${beakWidth / 2},${beakYOffset} ${-beakWidth / 2},${beakYOffset}`,
  )
  .attr('fill', 'orange'); // Chick's beak color

const mouth = g
  .append('path')
  .attr(
    'd',
    arc()({
      innerRadius: 0,
      outerRadius: 15,
      startAngle: Math.PI / 4.4,
      endAngle: (Math.PI * 3) / 4,
    }),
  )
  .attr('fill', 'orange') // Chick's beak color
  .attr('transform', `translate(0, ${15})`);
